/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/


using FairyGUI;
using FairyGUI.Utils;
using NBC;

namespace NBF
{
    public partial class ChatItem
    {
        public const string URL = "ui://hxr7rc7pn5ne1f";

        public GTextField TextType;
        public GTextField TextUser;
        public GTextField TextMessage;

        public override void ConstructFromXML(XML xml)
        {
            base.ConstructFromXML(xml);

            TextType = (GTextField)GetChild("TextType");
            TextUser = (GTextField)GetChild("TextUser");
            TextMessage = (GTextField)GetChild("TextMessage");
            OnInited();
            UILanguage.TrySetComponentLanguage(this);
        }
    }
}